cdac.medinfo.sdk.hl7282.baselibs.segments

## Class IAM

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.IAM

- All Implemented Interfaces:
    ISegment

      public class IAM
      extends Segment

  IAM - Patient Adverse Reaction Information Segment - Unique Identifier

  IAM segment contains person/patient adverse reaction information of various types. Most of this information will be derived from user-defined tables. Each IAM segment describes a single person/patient adverse reaction.

  Represents an HL7 IAM message segment. This segment has the following fields:

  IAM-1: Set ID - IAM (SI)Required
  IAM-2: Allergen Type Code (CWE)Optional
  IAM-3: Allergen Code/Mnemonic/Description (CWE)Required
  IAM-4: Allergy Severity Code (CWE)Optional
  IAM-5: Allergy Reaction Code (ST)Optional
  IAM-6: Allergy Action Code (CNE)Required
  IAM-7: Allergy Unique Identifier (EI)Conditional
  IAM-8: Action Reason (ST)Optional
  IAM-9: Sensitivity to Causative Agent Code (CWE)Optional
  IAM-10: Allergen Group Code/Mnemonic/Description (CWE)Optional
  IAM-11: Onset Date (DT)Optional
  IAM-12: Onset Date Text (ST)Optional
  IAM-13: Reported Date/Time (DTM)Optional
  IAM-14: Reported By (XPN)Optional
  IAM-15: Relationship to Patient Code (CWE)Optional
  IAM-16: Alert Device Code (CWE)Optional
  IAM-17: Allergy Clinical Status Code (CWE)Optional
  IAM-18: Statused by Person (XCN)Optional
  IAM-19: Statused by Organization (XON)Optional
  IAM-20: Statused at Date/Time (DTM)Optional
  IAM-21: Inactivated By Person (XCN)Optional
  IAM-22: Inactivated Date/Time at Date/Time (DTM)Optional
  IAM-23: Initially Recorded By Person (XCN)Optional
  IAM-24: Initially Recorded Date/Time at Date/Time (DTM)Optional
  IAM-25: Modified By Person at Date/Time (XCN)Optional
  IAM-26: Modified Date/Time (DTM)Optional
  IAM-27: Clinician Identified Code (CWE)Optional
  IAM-28: Initially Recorded By Organization (XON)Optional
  IAM-29: Modified By Organization (XON)Optional
  IAM-20: Inactivated By Organization (XON)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IAM()` Constructs the IAM segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllergyReactionCode(ST objtempAllergyReactionCode)` Set the Allergy Reaction Code.
    `void` | `addAllergyReactionCode(java.lang.String strAllergyReactionCode)` Set the Allergy Reaction Code.
    `ST` | `getActionReason()` Retrieves the Action Reason.
    `CWE` | `getAlertDeviceCode()` Retrieves the Alert Device Code.
    `CWE` | `getAllergenCodeMnemonicDesc()` Retrieves the Allergen Code Mnemonic Desc.
    `CWE` | `getAllergenGrpCodeMnemonicDesc()` Retrieves the Allergen Grp Code Mnemonic Desc.
    `CWE` | `getAllergenTypeCode()` Retrieves the Allergen Type Code.
    `CNE` | `getAllergyActionCode()` Retrieves the Allergy Action Code.
    `CWE` | `getAllergyClinicalStatusCode()` Retrieves the Allergy Clinical Status Code.
    `ISingleCollection<ST>` | `getAllergyReactionCode()` Retrieves the Allergy Reaction Code.
    `CWE` | `getAllergySeverityCode()` Retrieves the Allergy Severity Code.
    `EI` | `getAllergyUniqueIdentifier()` Retrieves the Allergy Unique Identifier.
    `CWE` | `getClinicianIdentifiedCode()` Retrieves the Clinician Identified Code.
    `XON` | `getInactivatedByOrganization()` Retrieves the Inactivated ByOrganization
    `XCN` | `getInactivatedByPerson()` Retrieves the Inactivated by Person.
    `DTM` | `getInactivatedDateTime()` Retrieves the Inactivated Date Time.
    `XCN` | `getInitiallyRecordedBYPerson()` Retrieves the Initially Recorded By Person.
    `DTM` | `getInitiallyRecordedDateTime()` Retrieves the InitiallyRecordedDateTime.
    `XON` | `getInitiallyRecordedOrganization()` Retrieves the Initially Recorded By Organization
    `XON` | `getModifiedByOrganization()` Retrieves the ModifiedByOrganization
    `XCN` | `getModifiedByPerson()` Retrieves the ModifiedByPerson.
    `DTM` | `getModifiedDateTime()` Retrieves the ModifiedDateTime.
    `DT` | `getOnsetDate()` Retrieves the Onset Date.
    `ST` | `getOnsetDateText()` Retrieves the Onset Date Text.
    `CWE` | `getRelationshipPatientCode()` Retrieves the Relationship Patient Code.
    `XPN` | `getReportedBy()` Retrieves the Reported By.
    `DTM` | `getReportedDateTime()` Retrieves the Reported Date Time.
    `CWE` | `getSensitivityCausativeAgentCode()` Retrieves the Sensitivity Causative Agent Code.
    `SI` | `getSetID_IAM()` Retrieves the Set ID IAM.
    `DTM` | `getStatusedDateTime()` Retrieves the Statused Date Time.
    `XON` | `getStatusedOrganization()` Retrieves the Statused Organization.
    `XCN` | `getStatusedPerson()` Retrieves the Statused Person.
    `void` | `setActionReason(ST objactionReason)` Set the Action Reason.
    `void` | `setActionReason(java.lang.String strActionReason)` Set the Action Reason.
    `void` | `setAlertDeviceCode(CWE objalertDeviceCode)` Set the Alert Device Code.
    `void` | `setAlertDeviceCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Alert Device Code.
    `void` | `setAllergenCodeMnemonicDesc(CWE objallergenCodeMnemonicDesc)` Set the Allergen Code Mnemonic Desc.
    `void` | `setAllergenCodeMnemonicDesc(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Allergen Code Mnemonic Desc.
    `void` | `setAllergenGrpCodeMnemonicDesc(CWE objallergenGrpCodeMnemonicDesc)` Set the Allergen Grp Code Mnemonic Desc.
    `void` | `setAllergenGrpCodeMnemonicDesc(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Allergen Grp Code Mnemonic Desc.
    `void` | `setAllergenTypeCode(CWE objallergenTypeCode)` Set the Allergen Type Code.
    `void` | `setAllergenTypeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Allergen Type Code.
    `void` | `setAllergyActionCode(CNE objallergyActionCode)` Set the Allergy Action Code.
    `void` | `setAllergyActionCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Allergy Action Code.
    `void` | `setAllergyClinicalStatusCode(CWE objallergyClinicalStatusCode)` Set the Allergy Clinical Status Code.
    `void` | `setAllergyClinicalStatusCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Allergy Clinical Status Code.
    `void` | `setAllergyReactionCode(ISingleCollection<ST> objAllergyReactionCode)` Set the Allergy Reaction Code.
    `void` | `setAllergySeverityCode(CWE objtempAllergyReactionCode)` Set the Allergy Severity Code.
    `void` | `setAllergySeverityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Allergy Severity Code.
    `void` | `setAllergyUniqueIdentifier(EI objallergyUniqueIdentifier)` Set the Allergy Unique Identifier.
    `void` | `setAllergyUniqueIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Allergy Unique Identifier.
    `void` | `setClinicianIdentifiedCode(CWE objclinicianIdentifiedCode)` Set the Clinician Identified Code.
    `void` | `setClinicianIdentifiedCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Clinician Identified Code.
    `void` | `setInactivatedByOrganization(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Inactivated By Organization
    `void` | `setInactivatedByOrganization(XON objinactivatedByOrganization)` Sets the Inactivated By Organization.
    `void` | `setInactivatedByPerson(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Inactivated By Person.
    `void` | `setInactivatedByPerson(XCN objinactivatedByPerson)` Sets the Inactivated By Person.
    `void` | `setInactivatedDateTime(DTM objinactivatedDateTime)` Set the Inactivated Date Time.
    `void` | `setInactivatedDateTime(java.lang.String strDateTimePlannedEvent)` Set the Inactivated Date Time.
    `void` | `setInitiallyRecordedByPerson(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Initially Recorded By Person
    `void` | `setInitiallyRecordedByPerson(XCN objinitiallyRecordedByPerson)` Sets the Initially Recorded By Person
    `void` | `setInitiallyRecordedDateTime(DTM objinitiallyRecordedDateTime)` Set the Initially Recorded DateTime.
    `void` | `setInitiallyRecordedDateTime(java.lang.String strDateTimePlannedEvent)` Set the Inactivated Date Time.
    `void` | `setInitiallyRecordedOrganization(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Initially Recorded Organization
    `void` | `setInitiallyRecordedOrganization(XON objinitiallyRecordedOrganization)` Sets the Initially Recorded Organization.
    `void` | `setModifiedByOrganization(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Modified By Organization
    `void` | `setModifiedByOrganization(XON objmodifiedByOrganization)` Sets the Modified By Organization.
    `void` | `setModifiedByPerson(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Modified By Person
    `void` | `setModifiedByPerson(XCN objmodifiedByPerson)` Sets the ModifiedByPerson
    `void` | `setModifiedDateTime(DTM objmodifiedDateTime)` Set the Modified DateTime.
    `void` | `setModifiedDateTime(java.lang.String strDateTimePlannedEvent)` Set the Modified DateTime
    `void` | `setOnsetDate(DT objonsetDate)` Set the Onset Date.
    `void` | `setOnsetDate(java.lang.String strOnsetDate)` Set the Onset Date.
    `void` | `setOnsetDateText(ST objonsetDateText)` Set the Onset Date Text.
    `void` | `setOnsetDateText(java.lang.String strOnsetDateText)` Set the Onset Date Text.
    `void` | `setRelationshipPatientCode(CWE objrelationshipPatientCode)` Set the Relationship Patient Code.
    `void` | `setRelationshipPatientCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Relationship Patient Code.
    `void` | `setReportedBy(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Reported By.
    `void` | `setReportedBy(XPN objreportedBy)` Sets the Reported By
    `void` | `setReportedDateTime(DTM objreportedDateTime)` Sets the Reported Date Time.
    `void` | `setReportedDateTime(java.lang.String strDateTimePlannedEvent)` Set the Reported Date Time.
    `void` | `setSensitivityCausativeAgentCode(CWE objsensitivityCausativeAgentCode)` Set the Sensitivity Causative Agent Code.
    `void` | `setSensitivityCausativeAgentCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Sensitivity Causative Agent Code.
    `void` | `setSetID_IAM(SI objsetID_IAM)` Set the Set ID IAM.
    `void` | `setSetID_IAM(java.lang.String strSetID_IAM)` Set the Set ID IAM.
    `void` | `setStatusedDateTime(DTM objstatusedDateTime)` Set the Statused Date Time.
    `void` | `setStatusedDateTime(java.lang.String strDateTimePlannedEvent)` Set the Statused Date Time.
    `void` | `setStatusedOrganization(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Statused Organization.
    `void` | `setStatusedOrganization(XON objstatusedOrganization)` Ses the Statused Organization.
    `void` | `setStatusedPerson(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Statused Person.
    `void` | `setStatusedPerson(XCN objstatusedPerson)` Sets the Statused Person.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IAM

          public IAM()

      Constructs the IAM segment.

  - ### Method Detail

    - #### getActionReason

          public ST getActionReason()

      Retrieves the Action Reason. This field contain the reason for the action indicated in the IAM-7 - Allergy Action Code field.
      Returns:
        String - actionReason

    - #### getAlertDeviceCode

          public CWE getAlertDeviceCode()

      Retrieves the Alert Device Code. This field describes any type of allergy alert device the patient may be carrying or wearing.
      Returns:
        CWE - alertDeviceCode

    - #### getAllergenCodeMnemonicDesc

          public CWE getAllergenCodeMnemonicDesc()

      Retrieves the Allergen Code Mnemonic Desc. This field uniquely identify a particular allergen.
      Returns:
        CWE - allergenCodeMnemonicDesc

    - #### getAllergenGrpCodeMnemonicDesc

          public CWE getAllergenGrpCodeMnemonicDesc()

      Retrieves the Allergen Grp Code Mnemonic Desc. This field contains the code, mnemonic, or description used to uniquely identify an allergen group when both a detailed allergy
      Returns:
        CWE - allergenGrpCodeMnemonicDesc

    - #### getAllergenTypeCode

          public CWE getAllergenTypeCode()

      Retrieves the Allergen Type Code. This field indicates a general allergy category (drug, food, pollen, etc.).
      Returns:
        CWE - allergenTypeCode

    - #### getAllergyActionCode

          public CNE getAllergyActionCode()

      Retrieves the Allergy Action Code. This field contains a code defining the status of the record.
      Returns:
        CNE - allergyActionCode

    - #### getAllergyClinicalStatusCode

          public CWE getAllergyClinicalStatusCode()

      Retrieves the Allergy Clinical Status Code. This field indicates the verification status for the allergy.
      Returns:
        CWE - allergyClinicalStatusCode

    - #### getAllergyReactionCode

          public ISingleCollection<ST> getAllergyReactionCode()

      Retrieves the Allergy Reaction Code. This field identify the specific allergic reaction that is documented.
      Returns:
        ISingleCollection - allergyReactionCode

    - #### getAllergySeverityCode

          public CWE getAllergySeverityCode()

      Retrieves the Allergy Severity Code. This field indicates the general severity of the allergy.
      Returns:
        CWE - allergySeverityCode

    - #### getAllergyUniqueIdentifier

          public EI getAllergyUniqueIdentifier()

      Retrieves the Allergy Unique Identifier. This field contains a value that uniquely identifies a single allergy for a person.
      Returns:
        EI - allergyUniqueIdentifier

    - #### getOnsetDate

          public DT getOnsetDate()

      Retrieves the Onset Date. This field contains the actual date of the first reaction.
      Returns:
        String - onsetDate

    - #### getOnsetDateText

          public ST getOnsetDateText()

      Retrieves the Onset Date Text. This field contains a text description of the time period of the first reaction when an exact date is not known.
      Returns:
        String - onsetDateText

    - #### getRelationshipPatientCode

          public CWE getRelationshipPatientCode()

      Retrieves the Relationship Patient Code. This field contains the personal relationship that the person reporting the allergy has to the patient.
      Returns:
        CWE - relationshipPatientCode

    - #### getClinicianIdentifiedCode

          public CWE getClinicianIdentifiedCode()

      Retrieves the Clinician Identified Code.
      Returns:
        CWE - clinician Identified Code

    - #### getReportedBy

          public XPN getReportedBy()

      Retrieves the Reported By. This field contains the name of the person reporting the allergy to a caregiver at the time reported in IAM-14 - Reported Date/Time.
      Returns:
        XPN - reportedBy

    - #### getReportedDateTime

          public DTM getReportedDateTime()

      Retrieves the Reported Date Time. This field contains the date/time the allergy is reported to a caregiver.
      Returns:
        DTM - reportedDateTime

    - #### getSensitivityCausativeAgentCode

          public CWE getSensitivityCausativeAgentCode()

      Retrieves the Sensitivity Causative Agent Code. This field contains the reason why the patient should not be exposed to a substance.
      Returns:
        CE - sensitivityCausativeAgentCode

    - #### getSetID_IAM

          public SI getSetID_IAM()

      Retrieves the Set ID IAM. This field contains the number that identifies this transaction.
      Returns:
        String - setID_IAM

    - #### getStatusedDateTime

          public DTM getStatusedDateTime()

      Retrieves the Statused Date Time.
      Returns:
        DTM - statusedDateTime

    - #### getInactivatedDateTime

          public DTM getInactivatedDateTime()

      Retrieves the Inactivated Date Time.
      Returns:
        DTM - inactivatedDateTime

    - #### getInitiallyRecordedDateTime

          public DTM getInitiallyRecordedDateTime()

      Retrieves the InitiallyRecordedDateTime.
      Returns:
        DTM - initiallyRecordedDateTime

    - #### getModifiedDateTime

          public DTM getModifiedDateTime()

      Retrieves the ModifiedDateTime.
      Returns:
        DTM - modifiedDateTime

    - #### getStatusedOrganization

          public XON getStatusedOrganization()

      Retrieves the Statused Organization. This field contains the name of the organization providing the update to the allergy.
      Returns:
        XON - statusedOrganization

    - #### getInitiallyRecordedOrganization

          public XON getInitiallyRecordedOrganization()

      Retrieves the Initially Recorded By Organization
      Returns:
        XON - initiallyRecordedOrganization

    - #### getModifiedByOrganization

          public XON getModifiedByOrganization()

      Retrieves the ModifiedByOrganization
      Returns:
        XON - modifiedByOrganizationn

    - #### getInactivatedByOrganization

          public XON getInactivatedByOrganization()

      Retrieves the Inactivated ByOrganization
      Returns:
        XON - inactivatedByOrganizationn

    - #### getStatusedPerson

          public XCN getStatusedPerson()

      Retrieves the Statused Person. This field identify the provider who assigned the clinical status to the allergy.
      Returns:
        XCN - statusedPerson

    - #### getInitiallyRecordedBYPerson

          public XCN getInitiallyRecordedBYPerson()

      Retrieves the Initially Recorded By Person.
      Returns:
        XCN - initially Recorded By Person.

    - #### getModifiedByPerson

          public XCN getModifiedByPerson()

      Retrieves the ModifiedByPerson.
      Returns:
        XCN - modifiedByPerson

    - #### getInactivatedByPerson

          public XCN getInactivatedByPerson()

      Retrieves the Inactivated by Person.
      Returns:
        XCN - statusedPerson

    - #### setActionReason

          public void setActionReason(java.lang.String strActionReason)

      Set the Action Reason. This field contain the reason for the action indicated in the IAM-7 - Allergy Action Code field.
      Parameters:
        `strActionReason` - String value of the reason for the action indicated in the IAM-7 - Allergy Action Code field.

    - #### setActionReason

          public void setActionReason(ST objactionReason)

      Set the Action Reason. This field contain the reason for the action indicated in the IAM-7 - Allergy Action Code field.
      Parameters:
        `objactionReason` - object of Action Reason.

    - #### setAlertDeviceCode

          public void setAlertDeviceCode(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Alert Device Code. This field describes any type of allergy alert device the patient may be carrying or wearing.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAlertDeviceCode

          public void setAlertDeviceCode(CWE objalertDeviceCode)

      Set the Alert Device Code. This field describes any type of allergy alert device the patient may be carrying or wearing.
      Parameters:
        `objalertDeviceCode` - object of Alert Device Code.

    - #### setAllergenCodeMnemonicDesc

          public void setAllergenCodeMnemonicDesc(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Allergen Code Mnemonic Desc. This field uniquely identify a particular allergen.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAllergenCodeMnemonicDesc

          public void setAllergenCodeMnemonicDesc(CWE objallergenCodeMnemonicDesc)

      Set the Allergen Code Mnemonic Desc. This field uniquely identify a particular allergen.
      Parameters:
        `strNameOfAlternateCodingSystem` - object of Allergen Code Mnemonic Desc.

    - #### setAllergenGrpCodeMnemonicDesc

          public void setAllergenGrpCodeMnemonicDesc(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Allergen Grp Code Mnemonic Desc. This field contains the code, mnemonic, or description used to uniquely identify an allergen group when both a detailed allergy
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAllergenGrpCodeMnemonicDesc

          public void setAllergenGrpCodeMnemonicDesc(CWE objallergenGrpCodeMnemonicDesc)

      Set the Allergen Grp Code Mnemonic Desc. This field contains the code, mnemonic, or description used to uniquely identify an allergen group when both a detailed allergy
      Parameters:
        `objallergenGrpCodeMnemonicDesc` - object of Allergen Grp Code Mnemonic Desc.

    - #### setAllergenTypeCode

          public void setAllergenTypeCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Allergen Type Code. This field indicates a general allergy category (drug, food, pollen, etc.).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAllergenTypeCode

          public void setAllergenTypeCode(CWE objallergenTypeCode)

      Set the Allergen Type Code. This field indicates a general allergy category (drug, food, pollen, etc.).
      Parameters:
        `objallergenTypeCode` - object of Allergen Type Code.

    - #### setAllergyActionCode

          public void setAllergyActionCode(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionID,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameOfSecondAltenateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Allergy Action Code. This field contains a code defining the status of the record.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setAllergyActionCode

          public void setAllergyActionCode(CNE objallergyActionCode)

      Set the Allergy Action Code. This field contains a code defining the status of the record.
      Parameters:
        `objallergyActionCode` - object of Allergy Action Code.

    - #### setAllergyClinicalStatusCode

          public void setAllergyClinicalStatusCode(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Allergy Clinical Status Code. This field indicates the verification status for the allergy.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAllergyClinicalStatusCode

          public void setAllergyClinicalStatusCode(CWE objallergyClinicalStatusCode)

      Set the Allergy Clinical Status Code. This field indicates the verification status for the allergy.
      Parameters:
        `objallergyClinicalStatusCode` - object of Allergy Clinical Status Code.

    - #### addAllergyReactionCode

          public void addAllergyReactionCode(java.lang.String strAllergyReactionCode)

      Set the Allergy Reaction Code. This field identify the specific allergic reaction that is documented.
      Parameters:
        `strAllergyReactionCode` - Contains specific allergic reaction that was documented.

    - #### addAllergyReactionCode

          public void addAllergyReactionCode(ST objtempAllergyReactionCode)

      Set the Allergy Reaction Code. This field identify the specific allergic reaction that is documented.
      Parameters:
        `objtempAllergyReactionCode` - object of Allergy Reaction Code.

    - #### setAllergyReactionCode

          public void setAllergyReactionCode(ISingleCollection<ST> objAllergyReactionCode)

      Set the Allergy Reaction Code.
      Parameters:
        `objAllergyReactionCode` - List of Allergy Reaction Code

    - #### setAllergySeverityCode

          public void setAllergySeverityCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Allergy Severity Code. This field indicates the general severity of the allergy.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAllergySeverityCode

          public void setAllergySeverityCode(CWE objtempAllergyReactionCode)

      Set the Allergy Severity Code. This field indicates the general severity of the allergy.
      Parameters:
        `objtempAllergyReactionCode` - object of Allergy Severity Code.

    - #### setAllergyUniqueIdentifier

          public void setAllergyUniqueIdentifier(java.lang.String strEntityIdentifier,
                                        java.lang.String strNamespaceId,
                                        java.lang.String strUniversalId,
                                        java.lang.String strUniversalIdType)

      Set the Allergy Unique Identifier. This field contains a value that uniquely identifies a single allergy for a person.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setAllergyUniqueIdentifier

          public void setAllergyUniqueIdentifier(EI objallergyUniqueIdentifier)

      Set the Allergy Unique Identifier. This field contains a value that uniquely identifies a single allergy for a person.
      Parameters:
        `objallergyUniqueIdentifier` - object of Allergy Unique Identifier.

    - #### setOnsetDate

          public void setOnsetDate(java.lang.String strOnsetDate)

      Set the Onset Date. This field contains the actual date of the first reaction.
      Parameters:
        `strOnsetDate` - Contains the actual date of the first reaction.

    - #### setOnsetDate

          public void setOnsetDate(DT objonsetDate)

      Set the Onset Date. This field contains the actual date of the first reaction.
      Parameters:
        `objonsetDate` - object of Onset Date.

    - #### setOnsetDateText

          public void setOnsetDateText(java.lang.String strOnsetDateText)

      Set the Onset Date Text. This field contains a text description of the time period of the first reaction when an exact date is not known.
      Parameters:
        `strOnsetDateText` - Contains a text description of the time period of the first reaction when an exact date is not known.

    - #### setOnsetDateText

          public void setOnsetDateText(ST objonsetDateText)

      Set the Onset Date Text. This field contains a text description of the time period of the first reaction when an exact date is not known.
      Parameters:
        `objonsetDateText` - object of Onset Date Text.

    - #### setRelationshipPatientCode

          public void setRelationshipPatientCode(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Relationship Patient Code. This field contains the personal relationship that the person reporting the allergy has to the patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRelationshipPatientCode

          public void setRelationshipPatientCode(CWE objrelationshipPatientCode)

      Set the Relationship Patient Code. This field contains the personal relationship that the person reporting the allergy has to the patient.
      Parameters:
        `objrelationshipPatientCode` - object of Relationship Patient Code.

    - #### setClinicianIdentifiedCode

          public void setClinicianIdentifiedCode(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Clinician Identified Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setClinicianIdentifiedCode

          public void setClinicianIdentifiedCode(CWE objclinicianIdentifiedCode)

      Set the Clinician Identified Code.
      Parameters:
        `objclinicianIdentifiedCode` - object of Clinician Identified Allergen Code.

    - #### setReportedBy

          public void setReportedBy(FN objFamilyName,
                           java.lang.String strGivenName,
                           java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                           java.lang.String strSuffix,
                           java.lang.String strPrefix,
                           java.lang.String strNameTypeCode,
                           java.lang.String strNameRepresentationCode,
                           CWE objNameContext,
                           java.lang.String strNameAssemblyOrder,
                           DTM objEffectiveDate,
                           DTM objExpirationDate,
                           java.lang.String strProfessionalSuffix,
                           java.lang.String strCalledBy)

      Set the Reported By. This field contains the name of the person reporting the allergy to a caregiver at the time reported in IAM-14 - Reported Date/Time.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### setReportedBy

          public void setReportedBy(XPN objreportedBy)

      Sets the Reported By
      Parameters:
        `objreportedBy` - object of Reported By.

    - #### setReportedDateTime

          public void setReportedDateTime(java.lang.String strDateTimePlannedEvent)

      Set the Reported Date Time. This field contains the date/time the allergy is reported to a caregiver.
      Parameters:
        `strDateTimePlannedEvent` - This field contains the date/time that the event is planned.

    - #### setReportedDateTime

          public void setReportedDateTime(DTM objreportedDateTime)

      Sets the Reported Date Time.
      Parameters:
        `objreportedDateTime` - object of Reported Date Time.

    - #### setSensitivityCausativeAgentCode

          public void setSensitivityCausativeAgentCode(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Sensitivity Causative Agent Code. This field contains the reason why the patient should not be exposed to a substance.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSensitivityCausativeAgentCode

          public void setSensitivityCausativeAgentCode(CWE objsensitivityCausativeAgentCode)

      Set the Sensitivity Causative Agent Code. This field contains the reason why the patient should not be exposed to a substance.
      Parameters:
        `objsensitivityCausativeAgentCode` - object of Sensitivity Causative Agent Code.

    - #### setSetID_IAM

          public void setSetID_IAM(java.lang.String strSetID_IAM)

      Set the Set ID IAM. This field contains the number that identifies this transaction.
      Parameters:
        `strSetID_IAM` - Contains Segment-ID.

    - #### setSetID_IAM

          public void setSetID_IAM(SI objsetID_IAM)

      Set the Set ID IAM. This field contains the number that identifies this transaction.
      Parameters:
        `objsetID_IAM` - object of Set ID IAM.

    - #### setStatusedDateTime

          public void setStatusedDateTime(java.lang.String strDateTimePlannedEvent)

      Set the Statused Date Time.
      Parameters:
        `strDateTimePlannedEvent` - This field contains the date/time that the event is planned.

    - #### setStatusedDateTime

          public void setStatusedDateTime(DTM objstatusedDateTime)

      Set the Statused Date Time.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `objstatusedDateTime` - object of Statused Date Time.

    - #### setInactivatedDateTime

          public void setInactivatedDateTime(java.lang.String strDateTimePlannedEvent)

      Set the Inactivated Date Time.
      Parameters:
        `strDateTimePlannedEvent` - This field contains the date/time that the event is planned.

    - #### setInactivatedDateTime

          public void setInactivatedDateTime(DTM objinactivatedDateTime)

      Set the Inactivated Date Time.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `objstatusedDateTime` - object of Statused Date Time.

    - #### setModifiedDateTime

          public void setModifiedDateTime(java.lang.String strDateTimePlannedEvent)

      Set the Modified DateTime
      Parameters:
        `strDateTimePlannedEvent` - This field contains the date/time that the event is planned.

    - #### setModifiedDateTime

          public void setModifiedDateTime(DTM objmodifiedDateTime)

      Set the Modified DateTime.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `objstatusedDateTime` - object of Statused Date Time.

    - #### setInitiallyRecordedDateTime

          public void setInitiallyRecordedDateTime(java.lang.String strDateTimePlannedEvent)

      Set the Inactivated Date Time.
      Parameters:
        `strDateTimePlannedEvent` - This field contains the date/time that the event is planned.

    - #### setInitiallyRecordedDateTime

          public void setInitiallyRecordedDateTime(DTM objinitiallyRecordedDateTime)

      Set the Initially Recorded DateTime.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `objstatusedDateTime` - object of Statused Date Time.

    - #### setStatusedOrganization

          public void setStatusedOrganization(java.lang.String strOrganizationName,
                                     CWE objOrganizationNameTypeCode,
                                     HD objAssigningAuthority,
                                     java.lang.String strIdentifierTypeCode,
                                     HD objAssigningFacility,
                                     java.lang.String strNameRepresentationCode,
                                     java.lang.String strOrganizationIdentifier)

      Set the Statused Organization. This field contains the name of the organization providing the update to the allergy.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setStatusedOrganization

          public void setStatusedOrganization(XON objstatusedOrganization)

      Ses the Statused Organization.
      Parameters:
        `objstatusedOrganization` - object of Statused Organization.

    - #### setInitiallyRecordedOrganization

          public void setInitiallyRecordedOrganization(java.lang.String strOrganizationName,
                                              CWE objOrganizationNameTypeCode,
                                              HD objAssigningAuthority,
                                              java.lang.String strIdentifierTypeCode,
                                              HD objAssigningFacility,
                                              java.lang.String strNameRepresentationCode,
                                              java.lang.String strOrganizationIdentifier)

      Set the Initially Recorded Organization
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setInitiallyRecordedOrganization

          public void setInitiallyRecordedOrganization(XON objinitiallyRecordedOrganization)

      Sets the Initially Recorded Organization.
      Parameters:
        `objinitiallyRecordedOrganization` - object of Initially Recorded Organization

    - #### setModifiedByOrganization

          public void setModifiedByOrganization(java.lang.String strOrganizationName,
                                       CWE objOrganizationNameTypeCode,
                                       HD objAssigningAuthority,
                                       java.lang.String strIdentifierTypeCode,
                                       HD objAssigningFacility,
                                       java.lang.String strNameRepresentationCode,
                                       java.lang.String strOrganizationIdentifier)

      Set the Modified By Organization
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setModifiedByOrganization

          public void setModifiedByOrganization(XON objmodifiedByOrganization)

      Sets the Modified By Organization.
      Parameters:
        `objmodifiedByOrganization` - object of Modified By Organization

    - #### setInactivatedByOrganization

          public void setInactivatedByOrganization(java.lang.String strOrganizationName,
                                          CWE objOrganizationNameTypeCode,
                                          HD objAssigningAuthority,
                                          java.lang.String strIdentifierTypeCode,
                                          HD objAssigningFacility,
                                          java.lang.String strNameRepresentationCode,
                                          java.lang.String strOrganizationIdentifier)

      Set the Inactivated By Organization
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setInactivatedByOrganization

          public void setInactivatedByOrganization(XON objinactivatedByOrganization)

      Sets the Inactivated By Organization.
      Parameters:
        `objinactivatedByOrganization` - object of Inactivated By Organization

    - #### setStatusedPerson

          public void setStatusedPerson(java.lang.String strIDNumber,
                               FN objFamilyName,
                               java.lang.String strGivenName,
                               java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                               java.lang.String strSuffix,
                               java.lang.String strPrefix,
                               CWE objSourceTable,
                               HD objAssigningAuthority,
                               java.lang.String strNameTypeCode,
                               java.lang.String strIdentifierCheckDigit,
                               java.lang.String strCheckDigitScheme,
                               java.lang.String strIdentifierTypeCode,
                               HD objAssigningFacility,
                               java.lang.String strNameRepresentationCode,
                               CWE objNameContext,
                               java.lang.String strNameAssemblyOrder,
                               java.lang.String strEffectiveDate,
                               java.lang.String strExpirationDate,
                               java.lang.String strProfessionalSuffix,
                               CWE objAssigningJurisdiction,
                               CWE objAssigningAgencyOrDepratment,
                               java.lang.String strSecurityCheck,
                               java.lang.String strSecurityCheckScheme)

      Set the Statused Person. This field identify the provider who assigned the clinical status to the allergy.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setStatusedPerson

          public void setStatusedPerson(XCN objstatusedPerson)

      Sets the Statused Person.
      Parameters:
        `objstatusedPerson` - object of Statused Person.

    - #### setInitiallyRecordedByPerson

          public void setInitiallyRecordedByPerson(java.lang.String strIDNumber,
                                          FN objFamilyName,
                                          java.lang.String strGivenName,
                                          java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                          java.lang.String strSuffix,
                                          java.lang.String strPrefix,
                                          CWE objSourceTable,
                                          HD objAssigningAuthority,
                                          java.lang.String strNameTypeCode,
                                          java.lang.String strIdentifierCheckDigit,
                                          java.lang.String strCheckDigitScheme,
                                          java.lang.String strIdentifierTypeCode,
                                          HD objAssigningFacility,
                                          java.lang.String strNameRepresentationCode,
                                          CWE objNameContext,
                                          java.lang.String strNameAssemblyOrder,
                                          java.lang.String strEffectiveDate,
                                          java.lang.String strExpirationDate,
                                          java.lang.String strProfessionalSuffix,
                                          CWE objAssigningJurisdiction,
                                          CWE objAssigningAgencyOrDepratment,
                                          java.lang.String strSecurityCheck,
                                          java.lang.String strSecurityCheckScheme)

      Set the Initially Recorded By Person
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setInitiallyRecordedByPerson

          public void setInitiallyRecordedByPerson(XCN objinitiallyRecordedByPerson)

      Sets the Initially Recorded By Person
      Parameters:
        `objinitiallyRecordedByPerson` - object of Initially Recorded By Person

    - #### setModifiedByPerson

          public void setModifiedByPerson(java.lang.String strIDNumber,
                                 FN objFamilyName,
                                 java.lang.String strGivenName,
                                 java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                 java.lang.String strSuffix,
                                 java.lang.String strPrefix,
                                 CWE objSourceTable,
                                 HD objAssigningAuthority,
                                 java.lang.String strNameTypeCode,
                                 java.lang.String strIdentifierCheckDigit,
                                 java.lang.String strCheckDigitScheme,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strNameRepresentationCode,
                                 CWE objNameContext,
                                 java.lang.String strNameAssemblyOrder,
                                 java.lang.String strEffectiveDate,
                                 java.lang.String strExpirationDate,
                                 java.lang.String strProfessionalSuffix,
                                 CWE objAssigningJurisdiction,
                                 CWE objAssigningAgencyOrDepratment,
                                 java.lang.String strSecurityCheck,
                                 java.lang.String strSecurityCheckScheme)

      Set the Modified By Person
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setModifiedByPerson

          public void setModifiedByPerson(XCN objmodifiedByPerson)

      Sets the ModifiedByPerson
      Parameters:
        `objmodifiedByPerson` - object of Modified By Person

    - #### setInactivatedByPerson

          public void setInactivatedByPerson(java.lang.String strIDNumber,
                                    FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    CWE objSourceTable,
                                    HD objAssigningAuthority,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strIdentifierCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepratment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Set the Inactivated By Person.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setInactivatedByPerson

          public void setInactivatedByPerson(XCN objinactivatedByPerson)

      Sets the Inactivated By Person.
      Parameters:
        `objinactivatedByPerson` - object of Statused Person.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails